## org.apache.lucene.queryParser.standard.config
Class AnalyzerAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.AnalyzerAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AnalyzerAttribute, org.apache.lucene.util.Attribute

    public class AnalyzerAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements AnalyzerAttribute

This attribute is used by `AnalyzerQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. It provides to this processor the `Analyzer`, if there is one, which will be used to analyze the query terms.

See Also:
  `AnalyzerAttribute`, Serialized Form

Constructor Summary
`AnalyzerAttributeImpl()`

Method Summary
`void` `clear()`
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` `equals(java.lang.Object other)`
`org.apache.lucene.analysis.Analyzer` `getAnalyzer()`
`int` `hashCode()`
`void` `setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalyzerAttributeImpl

    public AnalyzerAttributeImpl()

Method Detail

### setAnalyzer

    public void setAnalyzer(org.apache.lucene.analysis.Analyzer analyzer)

  Specified by:
    `setAnalyzer` in interface `AnalyzerAttribute`

### getAnalyzer

    public org.apache.lucene.analysis.Analyzer getAnalyzer()

  Specified by:
    `getAnalyzer` in interface `AnalyzerAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in class `org.apache.lucene.util.AttributeImpl`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `org.apache.lucene.util.AttributeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.